Page MenuHomePhabricator

Let the CompilerInstance create our clang ASTContext
ClosedPublic

Authored by teemperor on Aug 24 2018, 6:55 PM.

Details

Summary

Now that we moved the BuiltinContext and SelectorTable to the
CompilerInstance, we can also get rid of manually creating our
own ASTContext, but just use the one from the CompilerInstance
(which will be created with the same settings).

Diff Detail

Repository
rL LLVM

Event Timeline

teemperor created this revision.Aug 24 2018, 6:55 PM
teemperor updated this revision to Diff 162538.Aug 24 2018, 6:56 PM
  • clang-format.
davide accepted this revision.Aug 25 2018, 1:04 AM
This revision is now accepted and ready to land.Aug 25 2018, 1:04 AM
This revision was automatically updated to reflect the committed changes.
teemperor added a project: Restricted Project.Aug 30 2018, 12:44 PM